# Cancel an Outbound Transfer Cancels an OutboundTransfer. Only processing OutboundTransfers can be canceled. ## Parameters - `id` (string, required) The ID of the OutboundTransfer to cancel. ## Returns ## Response attributes - `id` (string) Unique identifier for the OutboundTransfer. - `object` (string, value is "v2.money_management.outbound_transfer") String representing the object’s type. Objects of the same type share the same value of the object field. - `amount` (object) The “presentment amount” for the OutboundTransfer. - `amount.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `amount.value` (integer) A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units). - `cancelable` (boolean) Returns true if the OutboundTransfer can be canceled, and false otherwise. - `created` (timestamp) Time at which the OutboundTransfer was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `delivery_options` (object, nullable) Delivery options to be used to send the OutboundTransfer. - `delivery_options.bank_account` (enum, nullable) Method for bank account. Possible enum values: - `automatic` Method automatically selected by Stripe. - `local` The group of local bank-transfer networks in the bank account’s country. - `wire` The group of wire transfer networks in the bank account’s country. - `description` (string, nullable) An arbitrary string attached to the OutboundTransfer. Often useful for displaying to users. - `expected_arrival_date` (timestamp, nullable) The date when funds are expected to arrive in the payout method. This field is not set if the payout method is in a `failed`, `canceled`, or `returned` state. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `from` (object) The FinancialAccount that funds were pulled from. - `from.debited` (object) The monetary amount debited from the sender, only set on responses. - `from.debited.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `from.debited.value` (integer) A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units). - `from.financial_account` (string) The FinancialAccount that funds were pulled from. - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `metadata` (map, nullable) Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. - `receipt_url` (string, nullable) A link to the Stripe-hosted receipt for this OutboundTransfer. The receipt link remains active for 60 days from the OutboundTransfer creation date. After this period, the link will expire and the receipt url value will be null. - `statement_descriptor` (string) The description that appears on the receiving end for an OutboundTransfer (for example, bank statement for external bank transfer). It will default to `STRIPE` if not set on the account settings. - `status` (enum) Current status of the OutboundTransfer: `processing`, `failed`, `posted`, `returned`, `canceled`. An OutboundTransfer is `processing` if it has been created and is processing. The status changes to `posted` once the OutboundTransfer has been “confirmed” and funds have left the account, or to `failed` or `canceled`. If an OutboundTransfer fails to arrive at its payout method, its status will change to `returned`. Possible enum values: - `canceled` A user canceled the OutboundTransfer before posting. Stripe returns the funds to the user by voiding the pending Transaction. - `failed` The OutboundTransfer failed to confirm. Stripe returns the funds to the user by voiding the pending Transaction. - `posted` The OutboundTransfer posted and funds have left the account. The underlying Transaction posts. - `processing` The OutboundTransfer starting state. Funds are “held” by a pending Transaction (but are still part of the current balance). The OutboundTransfer might be cancelable by the user, depending on the value of the cancelable field. - `returned` The OutboundTransfer failed to successfully arrive at the destination. Funds return to the user with a second posted Transaction attached to the same flow. - `status_details` (object, nullable) Status details for an OutboundTransfer in a `failed` or `returned` state. - `status_details.failed` (object, nullable) The `failed` status reason. - `status_details.failed.reason` (enum) The `failed` status reason. Possible enum values: - `payout_method_declined` The outbound flow to this payout method was declined. - `payout_method_does_not_exist` Payout method used for this outbound flow does not exist. - `payout_method_expired` Payout method used for this outbound flow expired. - `payout_method_unsupported` Payout method used for this outbound flow is unsupported. - `payout_method_usage_frequency_limit_exceeded` The usage frequency limit for this payout method was exceeded. - `unknown_failure` Unknown failure. - `status_details.returned` (object, nullable) The `returned` status reason. - `status_details.returned.reason` (enum) The `returned` status reason. Possible enum values: - `payout_method_canceled_by_customer` The outbound flow to this payout method was canceled by customer. - `payout_method_closed` Payout method account used for this outbound flow is closed. - `payout_method_currency_unsupported` Currency is not supported by the payout method account. - `payout_method_does_not_exist` Payout method account used for this outbound flow does not exist. - `payout_method_holder_address_incorrect` Address on the payout method account is incorrect. - `payout_method_holder_details_incorrect` The payout method account holder’s details are incorrect. - `payout_method_holder_name_incorrect` Name on the payout method account is incorrect. - `payout_method_invalid_account_number` The outbound flow to this payout method has an invalid account number. - `payout_method_restricted` Payout method account used for this outbound flow is restricted. - `recalled` The outbound flow to this payout method was recalled. - `unknown_failure` Unknown failure. - `status_transitions` (object, nullable) Hash containing timestamps of when the object transitioned to a particular status. - `status_transitions.canceled_at` (timestamp, nullable) Timestamp describing when an OutboundTransfer changed status to `canceled`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `status_transitions.failed_at` (timestamp, nullable) Timestamp describing when an OutboundTransfer changed status to `failed`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `status_transitions.posted_at` (timestamp, nullable) Timestamp describing when an OutboundTransfer changed status to `posted`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `status_transitions.returned_at` (timestamp, nullable) Timestamp describing when an OutboundTransfer changed status to `returned`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `to` (object) To which payout method the OutboundTransfer was sent. - `to.credited` (object) The monetary amount being credited to the destination. - `to.credited.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `to.credited.value` (integer) A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units). - `to.payout_method` (string) The payout method which the OutboundTransfer uses to send payout. - `trace_id` (object) A unique identifier that can be used to track this OutboundTransfer with recipient bank. Banks might call this a “reference number” or something similar. - `trace_id.status` (enum) Possible values are `pending`, `supported`, and `unsupported`. Initially set to `pending`, it changes to `supported` when the recipient bank provides a trace ID, or `unsupported` if the recipient bank doesn’t support it. Note that this status may not align with the OutboundPayment or OutboundTransfer status and can remain `pending` even after the payment or transfer is posted. Possible enum values: - `pending` Pending to receive TraceId information from recipient bank. - `supported` TraceId is supported by the recipient bank. - `unsupported` TraceId is not supported by the recipient bank. - `trace_id.value` (string, nullable) The trace ID value if `trace_id.status` is `supported`, otherwise empty. ## Error Codes | HTTP status code | Code | Description | | ---------------- | ---------------------------------- | --------------------------------------------------------------------------------------- | | 400 | outbound_transfer_already_canceled | Error returned when user tries to cancel an OutboundTransfer that was already canceled. | | 400 | outbound_transfer_not_cancelable | Error returned when user tries to cancel an OutboundTransfer that is not cancelable. | | 404 | not_found | The resource wasn’t found. | | 409 | idempotency_error | An idempotent retry occurred with different request parameters. | ```curl curl -X POST https://api.stripe.com/v2/money_management/outbound_transfers/obt_test_65OAfYe4XKyMwZeHlcV16NybHIZ4SQ3LORe4rpuNGDIRZw/cancel \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-01-28.preview" ``` ### Response ```json { "id": "obt_test_65OAfYe4XKyMwZeHlcV16NybHIZ4SQ3LORe4rpuNGDIRZw", "object": "v2.money_management.outbound_transfer", "from": { "financial_account": "fa_test_65NybHaQx7KJxDc22rZ16NybHIZ4SQ3LORe4rpuNGDIXEO", "debited": { "value": 50, "currency": "usd" } }, "to": { "payout_method": "usba_test_61NyccB7UY8KzlWh916NybHIZ4SQ3LORe4rpuNGDIRWC", "credited": { "value": 50, "currency": "usd" } }, "delivery_options": { "bank_account": "automatic" }, "amount": { "value": 50, "currency": "usd" }, "statement_descriptor": "Stripe payout", "cancelable": false, "description": "Paying out Stripe earnings", "status": "canceled", "status_transitions": { "canceled_at": "2023-04-26T23:18:28.412Z", "failed_at": null, "posted_at": null, "returned_at": null }, "status_details": null, "created": "2023-04-26T23:18:16.777Z", "expected_arrival_date": "2023-04-28T00:00:00Z", "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMaIwohd2tzcF90ZXN0XzZOeWJISVo0U1EzTE9SZTRycHVOR0RJKMTipqIGMgZpliO-zX86SJQFa58LOKNAWYRci6HJPA10Ddmocyf7MnhVX4NTkNJrO30nmnJBTIa-kVBovJDEAyzBer6TFulzAqpUbrzbxbWfX5UoXB3BQg", "livemode": false } ```